{
  "codeName" : "GetUnitAndPrice",
  "defaultParamName" : "Default",
  "dynaModelFilePath" : "PSMODULES/Sample/PSDATAENTITIES/IBIZOrderDetail/PSDELOGICS/GetUnitAndPrice.json",
  "logicName" : "通过商品ID获取单价及单位",
  "name" : "通过商品ID获取单价及单位",
  "getPSDELogicNodes" : [ {
    "codeName" : "Begin",
    "logicNodeType" : "BEGIN",
    "name" : "开始",
    "getPSDELogicLinks" : [ {
      "getDstPSDELogicNode" : {
        "modelref" : true,
        "id" : "Prepareparam1"
      },
      "name" : "连接",
      "getSrcPSDELogicNode" : {
        "modelref" : true,
        "id" : "Begin"
      }
    } ],
    "parallelOutput" : true
  }, {
    "codeName" : "Prepareparam2",
    "logicNodeType" : "PREPAREPARAM",
    "name" : "填充单位和单价",
    "getPSDELogicNodeParams" : [ {
      "dstFieldName" : "UNITPRICE",
      "getDstPSDELogicParam" : {
        "modelref" : true,
        "id" : "Default"
      },
      "name" : "Product[UNITPRICE] ==> Default[UNITPRICE]",
      "paramAction" : "SETPARAMVALUE",
      "srcFieldName" : "UNITPRICE",
      "getSrcPSDELogicParam" : {
        "modelref" : true,
        "id" : "Product"
      },
      "srcValueType" : "SRCDLPARAM"
    }, {
      "dstFieldName" : "UNIT",
      "getDstPSDELogicParam" : {
        "modelref" : true,
        "id" : "Default"
      },
      "name" : "Product[UNIT] ==> Default[UNIT]",
      "paramAction" : "SETPARAMVALUE",
      "srcFieldName" : "UNIT",
      "getSrcPSDELogicParam" : {
        "modelref" : true,
        "id" : "Product"
      },
      "srcValueType" : "SRCDLPARAM"
    } ],
    "parallelOutput" : true
  }, {
    "codeName" : "Deaction1",
    "getDstPSDEAction" : {
      "modelref" : true,
      "path" : "PSMODULES/Sample/PSDATAENTITIES/IBIZUNIProduct/PSDEACTIONS/Get.json"
    },
    "getDstPSDELogicParam" : {
      "modelref" : true,
      "id" : "Product"
    },
    "getDstPSDataEntity" : {
      "modelref" : true,
      "path" : "PSMODULES/Sample/PSDATAENTITIES/IBIZUNIProduct.json"
    },
    "logicNodeType" : "DEACTION",
    "name" : "获取商品信息",
    "getPSDELogicLinks" : [ {
      "getDstPSDELogicNode" : {
        "modelref" : true,
        "id" : "Prepareparam2"
      },
      "name" : "连接",
      "getSrcPSDELogicNode" : {
        "modelref" : true,
        "id" : "Deaction1"
      }
    } ],
    "parallelOutput" : true
  }, {
    "codeName" : "Prepareparam1",
    "logicNodeType" : "PREPAREPARAM",
    "name" : "获取商品ID",
    "getPSDELogicLinks" : [ {
      "getDstPSDELogicNode" : {
        "modelref" : true,
        "id" : "Deaction1"
      },
      "name" : "连接",
      "getSrcPSDELogicNode" : {
        "modelref" : true,
        "id" : "Prepareparam1"
      }
    } ],
    "getPSDELogicNodeParams" : [ {
      "dstFieldName" : "IBIZUNIPRODUCTID",
      "getDstPSDELogicParam" : {
        "modelref" : true,
        "id" : "Product"
      },
      "name" : "Default[IBIZUNIPRODUCTID] ==> Product[IBIZUNIPRODUCTID]",
      "paramAction" : "SETPARAMVALUE",
      "srcFieldName" : "IBIZUNIPRODUCTID",
      "getSrcPSDELogicParam" : {
        "modelref" : true,
        "id" : "Default"
      },
      "srcValueType" : "SRCDLPARAM"
    } ],
    "parallelOutput" : true
  } ],
  "getPSDELogicParams" : [ {
    "codeName" : "Product",
    "logicName" : "商品",
    "name" : "商品",
    "getParamPSDataEntity" : {
      "modelref" : true,
      "path" : "PSMODULES/Sample/PSDATAENTITIES/IBIZUNIProduct.json"
    },
    "entityParam" : true
  }, {
    "codeName" : "Default",
    "logicName" : "传入变量",
    "name" : "传入变量",
    "getParamPSDataEntity" : {
      "modelref" : true,
      "path" : "PSMODULES/Sample/PSDATAENTITIES/IBIZOrderDetail.json"
    },
    "default" : true,
    "entityParam" : true
  } ],
  "getStartPSDELogicNode" : {
    "modelref" : true,
    "id" : "Begin"
  },
  "enableBackend" : true,
  "enableFront" : true
}